Skip to main content

Outlet

Outlet provides access to the outlet resource. Outlets are trade customer addresses.

Example of a returned outlet object

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Outlet": [
{
"Code": "LAPE",
"Customer_Code": "LAPE",
"Name": "Lapel Menswear",
"Address1": "",
"Address2": "",
"Town": "",
"County": "",
"Postcode": "",
"Country": "UK",
"Address_Text": "1 Kings Arcade\rKing street\rlancaster\rLancashire\rLA1 1LE",
"Currency": "GBP",
"Outlet_Type": "General",
"Sales_rep": "Joan Summer",
"Date_Created": "2014-06-10T23:00:00.000Z",
"Date_Updated": "2016-11-01T00:00:00.000Z",
"Last_Transfer": "0000-00-00T00:00:00.000Z"
},
]
}
}

Outlet Properties​

PropertyExampleDescription
Code"SEDM"Outlet code
Customer_code"SEDM"Customer code
Name"Sedman Shoes ltd"Outlet name
Address1"18 Main St"Address line 1
Address2 "Hutton"Address line 2
Town"Cranswick"Outlet Town
County""Outlet county
Postcode"YO25 9QR"Outlet postcode
Address"18 Main St\rHutton\rCranswick\rYO25 9QR\r"Address
Currency"GB1"Customer currency
Outlet_Type"Universities"Type of outlet
Country"Great Britain"Country name
Sales_Rep"Joan Summer"Sales rep allocated to outlet
Date_Created"2014-06-10T23:00:00.000Z"Date outlet record created
Date_Updated"2016-11-01T00:00:00.000Z"Date outlet record last updated
Last_Transfer"0000-00-00T00:00:00.000Z"Date of last transfer to outlet (concession)

Outlet Methods​

GET /api/outlet​

Returns all outlets in the system .

POST /api/outlet​

Parses the POST body and create or updates an outlet record. POST added 11/09/2018.